package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.flow.GENEAction;
import java.security.Key;
import java.security.SecureRandom;
import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/EncryptDataAction.class */
public class EncryptDataAction extends GENEAction {
    String encroptMode = "ECB";
    String paddingMode = "PKCS5Padding";
    String algorithm = "DES";
    String keyStr = "";
    String encryptDataName = "";
    String oriDataName = "";

    public String execute(Context context) throws GENEException {
        try {
            String oriDataValue = (String) context.getDataValue(this.oriDataName);
            BASE64Decoder base64decoder = new BASE64Decoder();
            BASE64Encoder base64encoder = new BASE64Encoder();
            byte[] keyBytes = base64decoder.decodeBuffer(this.keyStr);
            KeyGenerator generator = KeyGenerator.getInstance(this.algorithm);
            SecureRandom secureRandom = SecureRandom.getInstance("SHA1PRNG");
            secureRandom.setSeed(keyBytes);
            generator.init(secureRandom);
            Key key = generator.generateKey();
            Cipher cipher = Cipher.getInstance(String.valueOf(this.algorithm) + "/" + this.encroptMode + "/" + this.paddingMode);
            cipher.init(1, key);
            byte[] encryptBytes = cipher.doFinal(oriDataValue.getBytes("UTF-8"));
            String encryptStr = base64encoder.encode(encryptBytes);
            context.setDataValue(this.encryptDataName, encryptStr);
            return "0";
        } catch (Exception unused) {
            return "1";
        }
    }

    public void setEncroptMode(String mode) {
        this.encroptMode = mode;
    }

    public void setPaddingMode(String mode) {
        this.paddingMode = mode;
    }

    public void setAlgorithm(String alg) {
        this.algorithm = alg;
    }

    public void setKeyStr(String key) {
        this.keyStr = key;
    }

    public void setEncryptDataName(String name) {
        this.encryptDataName = name;
    }

    public void setOriDataName(String ori) {
        this.oriDataName = ori;
    }
}
